Name:           ukui-screensaver
Version:        3.0.3
Release:        2
Summary:        parallels toolbox for UKUI
License:        GPL-3+ GPL-2+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz
Patch01:        0001-fix-root-can-not-input-passwd-bug.patch
BuildRequires:  glib2-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  dconf-devel
BuildRequires:  libXtst-devel
BuildRequires:  cmake
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  pam-devel
BuildRequires:  opencv
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  libmatemixer-devel

Requires:       glib2-devel
Requires:       qt5-qtbase-devel
Requires:       qt5-qtsvg-devel
Requires:       qt5-qtmultimedia-devel
Requires:       qt5-qttools-devel
Requires:       gsettings-qt-devel
Requires:       dconf-devel

%description
 The ukui-sidebar is mainly used in the desktop operating system.
 It pops up from the right side of the desktop in the form of a tray,
 displaying some application notification messages and some cutting
 storage information.

%prep
%setup -q
%patch1 -p1

%build
cmake .
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/copyright debian/changelog
%{_bindir}/ukui-screensaver-dialog
%{_bindir}/ukui-screensaver-backend
%{_bindir}/ukui-screensaver-command
%{_bindir}/screensaver-startup.sh
%{_bindir}/ukui-screensaver-checkpass
%{_datadir}/ukui-screensaver/*
%{_datadir}/glib-2.0/schemas/org.ukui.screensaver.gschema.xml
%{_sysconfdir}/xdg/autostart/ukui-screensaver.desktop
%{_datadir}/desktop-directories/ukui-screensaver.directory
%{_sysconfdir}/xdg/menus/ukui-screensavers.menu
%{_sysconfdir}/pam.d/ukui-screensaver-qt
%{_prefix}/lib/ukui-screensaver/ukui-screensaver-default
%{_prefix}/lib/ukui-screensaver/screensaver-focus-helper
#%%{_datadir}/ukui-screensaver/screensaver.ini
#%%{_datadir}/ukui-screensaver/screensaver-en.ini

%changelog
* Wed Mar 2 2022 pei-jiankang <peijiankang@kylinos.cn> - 3.0.3-2
- fix root can not input passwd bug

* Wed Feb 23 2022 douyan <douyan@kylinos.cn> - 3.0.3-1
- update to upstream version 3.0.3-1

* Fri Dec 10 2021 huayadong <huayadong@kylinos.cn> - 3.0.1-17
- add patch15: 0001-insert-the-monitor-after-placement-and-the-screensav.patch

* Thu Dec 09 2021 huayadong <huayadong@kylinos.cn> - 3.0.1-16
- add patch14: fix-root-can-not-input-passwd-bug.patch

* Thu Dec 09 2021 huayadong <huayadong@kylinos.cn> - 3.0.1-15
- add patch13:fix-root-user-had-not-face-icon.patch

* Tue Dec 07 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-14
- Update changelog package version

* Fri Dec 03 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-13
- add build requires packages

* Thu Dec 02 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-12
- Add .gitattriutes files

* Wed Nov 10 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-11
- Add opencv compilation dependency

* Fri Nov 05 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-10
- there is only one user, the switch user button is not displayed

* Tue Nov 02 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-9
- Screen saver add x11bypasswindowmanager attribute

* Mon Nov 1  2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-8
- When the screen saver mode is set to single, but the screen saver is empty, the problem of segfault

* Sat Oct 30 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-7
- Add fractional scaling parameters

* Sat Oct 30 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-6
- Add sentence author info

* Fri Oct 29 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-5
- No the file .gitmodules,so remove in debian/copyright file

* Thu Oct 28 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-4
- Fix a return type error

* Wed Jan 13 2021 lvhan <lvhan@kylinos.cn> - 3.0.1-3
- 0002-fix-ukui-screensaver-dialog-lock.patch

* Wed Dec 9 2020 lvhan <lvhan@kylinos.cn> - 3.0.1-2
- 0001-fix-icon-misplaced.patch

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.1-1
- update to upstream version 3.0.0-1+1026

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 2.1.1-1
- Init package for openEuler
